<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.base.connecting</groupId>
        <artifactId>generator</artifactId>
        <version>1.10.1</version>
    </parent>

    <modelVersion>4.0.0</modelVersion>
    <groupId>ru.entaxy.esb.platform.runtime.base.connecting.generator</groupId>
    <artifactId>ftl-generator</artifactId>
    <packaging>bundle</packaging>

    <name>ENTAXY :: PLATFORM :: RUNTIME :: BASE :: CONNECTING :: GENERATOR :: FTL GENERATOR</name>
    <description>ENTAXY :: PLATFORM :: RUNTIME :: BASE :: CONNECTING :: GENERATOR :: FTL GENERATOR</description>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.platform.runtime.base.connecting.generator.ftl
        </bundle.osgi.export.pkg>
    </properties>

    <dependencies>
	  	<dependency>
	  		<groupId>org.osgi</groupId>
	  		<artifactId>org.osgi.service.component.annotations</artifactId>
	  		<version>1.4.0</version>
	  		<scope>compile</scope>
	  	</dependency>    
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base.connecting.generator</groupId>
            <artifactId>generator-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>org.freemarker</groupId>
            <artifactId>freemarker</artifactId>
            <version>${freemarker.version}</version>
        </dependency>
        <!-- dependency>
            <groupId>ru.entaxy.esb.system.management.blueprint.generator</groupId>
            <artifactId>blueprint-generator</artifactId>
            <version>${project.version}</version>
        </dependency -->
        <dependency>
        	<groupId>
        		ru.entaxy.esb.platform.runtime.base.connecting.generator
        	</groupId>
        	<artifactId>generator-factory</artifactId>
        	<version>${project.version}</version>
        </dependency>
    </dependencies>

	  <build>
	  	<plugins>
		    <plugin>
		        <groupId>org.apache.felix</groupId>
		        <artifactId>maven-bundle-plugin</artifactId>
		        <version>${maven-bundle-plugin.version}</version>
		        <extensions>true</extensions>
		        <configuration>
		            <instructions>
		            	<_dsannotations>*</_dsannotations>
		            </instructions>
		        </configuration>
		    </plugin>
	  	</plugins>
	  </build>
    
</project>
